Bug 16229 - Not closing the <h3> tag is displaying blank screen
Summary: Not closing the <h3> tag is displaying blank screen
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL: http://www.microsoft.com/globaldev/ke...
Keywords:
Depends on:
Blocks:
 
Reported: 2007-12-01 21:16 PST by Anantha Keesara
Modified: 2010-09-20 02:11 PDT (History)
3 users (show)

See Also:


Attachments
Screenshot comparing IE and Safari (81.63 KB, image/gif)
2007-12-01 21:19 PST, Anantha Keesara
no flags Details
further reduced test case (140 bytes, text/html)
2007-12-03 02:31 PST, Alexey Proskuryakov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anantha Keesara 2007-12-01 21:16:13 PST
1. Go to
http://www.microsoft.com/globaldev/keyboards/kbdKorea.htm

Expected ; The Korean KBD layout should show up. And, clicking on shift changes the layout dynamically.

Actual : The background is painted blue-gray, but nothing happens.

Firefox has the same problem. Its error console does not report anything that seems relevant. The same is true of Safari-Win.

Opera 9.21 on Windows  works fine except that the KBD layout is not centered.

----------
Verified with latest webkit nightly build: r28278 

reduction: http://help.improve.safari.googlepages.com/mytest.htm
attached is the screenshot
Comment 1 Anantha Keesara 2007-12-01 21:19:01 PST
Created attachment 17637 [details]
Screenshot comparing IE and Safari
Comment 2 Alexey Proskuryakov 2007-12-03 02:31:35 PST
Created attachment 17672 [details]
further reduced test case
Comment 3 Alexey Proskuryakov 2007-12-03 02:33:20 PST
We agree with html5lib here.
Comment 4 Eric Seidel (no email) 2008-01-11 17:33:05 PST
We have similar bugs about failing to close <script> or <head> rendering an entire page blank.  Given that we agree with HTML5, Hixie should likely be CC'd I don't believe we intend to diverge our HTML tokenizer from HTML5.
Comment 5 Ian 'Hixie' Hickson 2008-04-22 16:26:04 PDT
<head> not closing shouldn't be a problem. Can you cc me on those bugs?

<script> not closing is required for security.

I'm not really sure how to fix this one in HTML5 though. Should we try to fix it?
Comment 6 Adam Barth 2010-09-20 02:11:51 PDT
The broken web site no longer exists.  Our parsing matches the spec.  Hixie notes above that it's unclear how the spec could change to support this case.  This bug is not actionable.